<?php
  define ("salto","<br>\n"); 
// Se intenta establecer una conexión FTP.
  $conexionFTP=ftp_connect("localhost");
/* Se comprueba si se ha podido establecer la conexión. Si no se ha logrado, se interrumpe la ejecución.*/
  if ($conexionFTP){
    echo ("CONEXIÓN ESTABLECIDA.".salto);
  } else {
    die ("NO HAY CONEXIÓN.");
  }
// Se intenta la autenticación del usuario.
  $acceso=ftp_login($conexionFTP,"usuario","clave");
/* Se comprueba si se ha logrado el acceso. Si no, se interrumpe la ejecución.*/
  if ($acceso){
    echo ("ACCESO AUTORIZADO");
  } else {
    echo ("ACCESO DENEGADO");
  }
  echo (salto);
  ftp_close ($conexionFTP);
  echo ("CONEXIÓN CERRADA.")
?>
